Bug 844030 - Mount fails for specific volume names
Mount fails for specific volume names
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
shylesh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 22:12 EDT by Pranith Kumar K
Modified: 2013-07-24 13:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:43:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2012-07-27 22:12:39 EDT
Description of problem:
If any of 'volume', 'type', 'subvolumes', 'option', 'end-volume' are used as volume names, mount operation fails.
[2012-07-28 02:09:58.431722] E [graph.y:389:yyerror] 0-parser: syntax error in line 54: "type" 
(allowed tokens are 'volume', 'type', 'subvolumes', 'option', 'end-volume')


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Vijay Bellur 2012-07-29 16:24:40 EDT
CHANGE: http://review.gluster.com/3745 (cli: Prevent creation of volumes with tokens as volnames) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.